#include <stdio.h>
#include <sys/time.h>

#define NUM_RUNS 1000000
#define MICRO 1000000

int main()
{
	struct timeval start, stop, val;
	int i;
	unsigned long long delta;
	float percent;
	long long tmp;
	gettimeofday(&start, NULL);
	for(i=0; i < NUM_RUNS; i++)
		gettimeofday(&val, NULL);
	gettimeofday(&stop, NULL);

	stop.tv_sec -= start.tv_sec;
	stop.tv_usec -= start.tv_usec;
	delta = (unsigned long long)stop.tv_sec*MICRO 
			+ (unsigned long long)stop.tv_usec;

	percent = (float)delta/(NUM_RUNS+1);
	printf("gettimeofday ( %lluus / %iruns ) = %fus\n", 
		delta, NUM_RUNS, percent);
    return 0;
}
